세계 보안 엑스포  전자정부 솔루션 페어  개인정보보호 페어  국제 사이버 시큐리티 컨퍼런스  세계 태양에너지 엑스포  스마트팩토리  세계 다이어트 엑스포  INFO-CON
[7.17 버그리포트] CVE-2017-9787 外
  |  입력 : 2017-07-17 17:17
페이스북 보내기 트위터 보내기 네이버 밴드 보내기 카카오 스토리 보내기
CVE-2017-9787, CVE-2017-6249, CVE-2017-9788
CVE-2017-9789, CVE-2017-11310


[보안뉴스 문가용 기자] 현지 시각으로 7월 16일, 우리나라 시간으로는 대략 16일에서 17일로 넘어오는 밤 사이에 미국의 National Vulnerability Database을 통해 발표된 취약점들이다.

[이미지 = iclickart]


1. CVE-2017-9787
보안 기능이 있는 Struts 액션의 Spring AOP 기능을 사용할 때, 인증된 사용자가 DoS 공격을 일으킬 수 있게 된다. Apache Struts 2.5.12나 2.3.33 버전을 사용하면 해결이 된다.

2. CVE-2017-6249
NVIDIA 사운드 드라이버의 권한 상승 취약점으로 로컬의 악성 애플리케이션을 통해 임의의 코드를 실행하는 게 가능하게 된다. 하지만 권한 탈취 공격을 선행해야 하기 때문에 치명적인 취약점으로 분류되지는 않는다.

3. CVE-2017-9788
Apache httpd 2.2.34 이전 버전과 2.4.27 이전의 2.4.x 버전의 취약점으로 [Proxy-]Authorization 헤더의 value placeholder가 연속적인 key=value 배정에 의해 리셋될 수 있다. 이로써 민감한 정보가 유출될 가능성이 있다.

4. CVE-2017-9789
Apache httpd 2.4.26 버전의 HTTP/2 코드 핸들링과 관련된 UaF 취약점이다.

5. CVE-2017-11310
ImageMagick 7.0.6-1 Q16 2017-06-21 베타 버전의 coders\png.c의 read_user_chunk_callback 함수의 취약점으로 PNG 파일을 통해 메모리 유출 공격을 감행할 수 있게 해준다.
[국제부 문가용 기자(globoan@boannews.com)]

<저작권자: 보안뉴스(www.boannews.com) 무단전재-재배포금지>

#버그   #리포트   


비츠코리아 파워비즈시작 2017년7월3일파워비즈 배너
북한의 사이버 공격이 갈수록 심해지고 있습니다. 해킹 공격이 미사일 공격보다 더 무섭다는 소리도 나올 정도입니다. 정부 차원에서 더 강화된 사이버 보안을 위한 전략을 새롭게 수립해야 한다고 생각하십니까?
아니다. 지금 있는 것만 제대로 해도 충분하다.
그렇다. 단, 미국의 행정명령처럼 장기적인 방향성을 가져야 한다.
그렇다. 단, 지금의 위기상황에 당장 적용할 수 있는 것이어야 한다.
아니다. 민간 차원에서 해결할 수 있어야 한다.
정부 차원의 전략이 얼마나 도움이 될지 잘 모르겠다.
크게 보면 외교 문제다. ‘보안’의 시각으로만 접근해서는 안 된다.
기타(댓글로)